﻿using Captcha.Models;
using ReactiveUI;
using System.Numerics;

namespace Captcha.ViewModels
{
    public class MainWindowViewModel : ViewModelBase
    {
#pragma warning disable CA1822 // Mark members as static
        public MainWindowViewModel()
        {
        }
            
        string login = "";
        string password = "";
        string message = "";
        bool butVis = true;

        public string Message { get => message; set => this.RaiseAndSetIfChanged(ref message, value); }
        public string Login { get => login; set => login = value; }
        public string Password { get => password; set => password = value; }
        public bool ButVis { get => butVis; set => this.RaiseAndSetIfChanged(ref butVis, value); }

        public void Authorization()
        {
            if (login == ModelClass.Login && password == ModelClass.Password)
            {
                Message = "Авторизация прошла успешно";

            }
            else
            {
                Message = "Неверный логин или пароль";
                ButVis = false;
            }
        }

#pragma warning restore CA1822 // Mark members as static
    }
}
